## daemontools-installer 0.70-25

=== changelog ===
daemontools (0.70-25) unstable; urgency=low

  * Forgot to upload the changelog in the last version. (Closes: Bug#104494)
  * Added "upgrade" target to postrm to avoid the stupid error.

 -- Adam D. McKenna <adam@debian.org>  Thu, 19 Jul 2001 00:28:22 -0700

daemontools (0.70-24) unstable; urgency=low

  * Fixed problem with init.d script where it would fail when the symlink
    to /service wasn't created in postinst.  (Closes: Bug#104494)

 -- Adam D. McKenna <adam@debian.org>  Fri, 13 Jul 2001 00:24:32 -0700

daemontools (0.70-23) unstable; urgency=low

  * Made some improvements to daemontools init.d script. (Closes: Bug#87236)

 -- Adam D. McKenna <adam@debian.org>  Wed, 25 Apr 2001 17:42:15 -0700

daemontools (0.70-22) unstable; urgency=low

  * fixed depends to include build-essential packages.

 -- Adam D. McKenna <adam@debian.org>  Thu, 22 Mar 2001 16:20:21 -0800

daemontools (0.70-21) unstable; urgency=low

  * Added patch for time.h in includes to fix problem building on
    glibc 2.2.2 (Closes: Bug#86186)
  * logs are now owned by "daemon" user instead of "nobody". 
    (Closes: Bug#86579)
  * Added option to daemontools postinst to symlink /var/lib/svscan
    to /service.
  * daemontools shouldn't be restarted everytime we upgrade the package.
    modified postinst/postrm/prerm to see that this doesn't happen.
    When a new upstream version comes out, I'll figure out how to do this. :)

 -- Adam D. McKenna <adam@debian.org>  Mon, 26 Feb 2001 01:18:40 -0800

daemontools (0.70-20) unstable; urgency=low

  * Added debhelper to daemontools Depends: (Closes: Bug#86224)

 -- Adam D. McKenna <adam@debian.org>  Fri, 16 Feb 2001 15:53:32 -0500

daemontools (0.70-19) unstable; urgency=low

  * Fixed minor policy problems, changed name of package to
    daemontools.

 -- Adam D. McKenna <adam@debian.org>  Fri,  9 Feb 2001 01:07:32 -0500

daemontools (0.70-18) unstable; urgency=low

  * changed postinst to check whether the .orig.tar.gz is already
    present in /usr/src/daemontools.  If it is, don't download
    it again.

 -- Adam D. McKenna <adam@debian.org>  Mon, 29 Jan 2001 19:27:50 -0500

daemontools (0.70-17) unstable; urgency=low

  * made some changes to init.d to help avoid the situations where
    svscan is started more than once, or someone tries to stop it after
    it has already been stopped.
  * svscan now logs via multilog to /var/log/svscan instead of to console.
  * changed init.d to avoid calling svc if /var/lib/svscan is empty

 -- Adam D. McKenna <adam@debian.org>  Mon, 29 Jan 2001 16:47:33 -0500

daemontools (0.70-16) unstable; urgency=low

  * Changed file download location to an http location instead of ftp,
    after seeing some instability with ftp download.

 -- Adam D. McKenna <adam@debian.org>  Thu, 25 Jan 2001 04:57:40 -0500

daemontools (0.70-15) unstable; urgency=low

  * Added a postrm to get rid of /usr/src/daemontools when purging.

 -- Adam D. McKenna <adam@debian.org>  Thu, 25 Jan 2001 04:54:02 -0500

daemontools (0.70-14) unstable; urgency=low

  * Some tweaking of build-PACKAGE

 -- Adam D. McKenna <adam@debian.org>  Thu, 25 Jan 2001 04:48:43 -0500

daemontools (0.70-13) unstable; urgency=low

  * Some changes to debian.tar.gz

 -- Adam D. McKenna <adam@debian.org>  Thu, 25 Jan 2001 04:44:49 -0500

daemontools (0.70-12) unstable; urgency=low

  * Almost there.

 -- Adam D. McKenna <adam@debian.org>  Thu, 25 Jan 2001 04:36:17 -0500

daemontools (0.70-11) unstable; urgency=low

  * More reorganizing stuff.

 -- Adam D. McKenna <adam@athlon>  Thu, 25 Jan 2001 04:32:30 -0500

daemontools (0.70-10) unstable; urgency=low

  * New package format, changes should be transparent.

 -- Adam D. McKenna <adam@athlon>  Wed, 24 Jan 2001 19:03:45 -0500

daemontools (0.70-9) unstable; urgency=low

  * More postinst problems.

 -- Adam D. McKenna <adam@athlon>  Wed, 24 Jan 2001 17:37:36 -0500

daemontools (0.70-8) unstable; urgency=low

  * Fixed some more problems in postinst.

 -- Adam D. McKenna <adam@athlon>  Wed, 24 Jan 2001 17:33:53 -0500

daemontools (0.70-7) unstable; urgency=low

  * Soon....  I swear.

 -- Adam D. McKenna <adam@athlon>  Wed, 17 Jan 2001 00:21:26 -0500

daemontools (0.70-6) unstable; urgency=low

  * More packaging problems..  It'll be ready soon...

 -- Adam D. McKenna <adam@athlon>  Tue, 16 Jan 2001 23:53:39 -0500

daemontools (0.70-5) unstable; urgency=low

  * Fixed yet another packaging problem.

 -- Adam D. McKenna <adam@athlon>  Tue, 16 Jan 2001 23:39:47 -0500

daemontools (0.70-4) unstable; urgency=low

  * Fixed another small packaging problem

 -- Adam D. McKenna <adam@athlon>  Tue, 16 Jan 2001 23:34:53 -0500

daemontools (0.70-3) unstable; urgency=low

  * Made some small packaging changes.  Daemontools-src is now an installer
    package due to copyright problems.

 -- Adam D. McKenna <adam@athlon>  Tue, 16 Jan 2001 21:37:28 -0500

daemontools (0.70-2) unstable; urgency=low

  * Started using /var/lib/svscan instead of /var/run/svscan due to debian's cleaning
    of /var/run upon boot.

 -- Adam D. McKenna <adam@flounder.net>  Tue, 18 Apr 2000 15:17:15 -0400

daemontools (0.70-1) unstable; urgency=low

  * Initial Release.

 -- Adam D. McKenna <adam@flounder.net>  Mon, 27 Mar 2000 21:51:01 -0500

Local variables:
mode: debian-changelog
End:
