=== rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	echo /usr > conf-home
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cp debian/control.real debian/control
	rm -f build-stamp
	rm -rf debian/tmp/
	rm -f `cat TARGETS`
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	echo "$$PWD/debian/tmp/usr" > conf-home
	rm install instcheck auto_home.c auto_home.o
	$(MAKE) setup

binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages -pdaemontools
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dpkg-deb -b debian/tmp ..

binary: binary-arch

.PHONY: build clean binary-indep binary-arch binary install
