=== debian/changelog ===
daemontools-installer (0.76-9) unstable; urgency=low

  * Added errno patch for error.h (Closes: Bug#181762)
  * Fixed typo in README.Debian (Closes: Bug#199767)

 -- Adam D. McKenna <adam@debian.org>  Fri,  5 Dec 2003 11:59:31 -0800

daemontools-installer (0.76-8) unstable; urgency=low

  * Added /service directory into DJB-build (Closes: Bug#161926)
  * Removed /usr/share/daemontools symlink from DJB-build (Closes: Bug#171143)
  * Made the wget in get-daemontools "quiet" with "-q". (Closes: Bug#155068)

 -- Adam D. McKenna <adam@debian.org>  Tue, 28 Jan 2003 18:54:54 -0800

daemontools-installer (0.76-7) unstable; urgency=low

  * Added patch for rts.tests which fixes issue with the latest 
    fileutils.  (Closes: Bug#152383)
  * build-daemontools will now apply any and all patches which are located
    in /usr/src/daemontools-installer/patches/.

 -- Adam D. McKenna <adam@debian.org>  Tue,  9 Jul 2002 12:26:01 -0700

daemontools-installer (0.76-6) unstable; urgency=low

  * daemontools will now refuse to build if the temp directory
    already exists (Closes: Bug#150523)
  * Fixed md5sum calls in postinst and get-daemontools to conform to new
    md5sum output.

 -- Adam D. McKenna <adam@debian.org>  Fri,  5 Jul 2002 12:41:08 -0700

daemontools-installer (0.76-5) unstable; urgency=low

  * Fixed svscanboot in FHS version (Closes: Bug#150222)

 -- Adam D. McKenna <adam@debian.org>  Mon, 17 Jun 2002 12:49:00 -0700

daemontools-installer (0.76-4) unstable; urgency=low

  * Added upgrade process to postinst to stop and remove traces of 
    the old daemontools package. (Closes: Bug#149773)

 -- Adam D. McKenna <adam@debian.org>  Wed, 12 Jun 2002 15:38:40 -0700

daemontools-installer (0.76-3) unstable; urgency=low

  * Fixed daemontools package prerm so that it doesn't remove inittab line on
    upgrade.

 -- Adam D. McKenna <adam@debian.org>  Wed,  5 Jun 2002 13:29:40 -0700

daemontools-installer (0.76-2) unstable; urgency=low

  * Didn't quite have it right that first time.  A couple of things broken
    plus a few remnants of the old package I hadn't noticed.

 -- Adam D. McKenna <adam@debian.org>  Tue,  4 Jun 2002 14:54:57 -0700

daemontools-installer (0.76-1) unstable; urgency=low

  * New upstream version (Closes: Bug#119080, Bug#128567)
  * Package now has option to build a djb ("official") deb or a FHS-compatible
    one.
  * Service directory is now /service for djb-version.
    /service symlink is no longer used in FHS version. (Closes: Bug#113217)
  * Uses inittab instead of /etc/init.d (Closes: Bug#130249)
  * time.h patch is no longer required, removed.

 -- Adam D. McKenna <adam@debian.org>  Thu, 30 May 2002 17:08:36 -0700
