=== control ===
Source: daemontools
Section: non-free/misc
Priority: optional
Maintainer: Adam D. McKenna <adam@debian.org>
Standards-Version: 3.5.8

Package: daemontools
Architecture: any
Depends: ${shlibs:Depends}
Description: A collection of tools for managing UNIX services.
 The following is taken from http://cr.yp.to/daemontools.html.
 .
 daemontools is a collection of tools for managing UNIX services.
 .
 supervise monitors a service. It starts the service and restarts the service if it dies. Setting up a new service is easy: all supervise needs is a directory with a run script that runs the service.
 .
 multilog saves error messages to one or more logs. It optionally timestamps each line and, for each log, includes or excludes lines matching specified patterns. It automatically rotates logs to limit the amount of disk space used.  If the disk fills up, it pauses and tries again, without losing any data.
 .
 svscan starts one supervise process for each subdirectory of the current directory, up to a limit of 1000 subdirectories. svscan skips subdirectory names starting with dots. supervise must be in svscan's path.
 .
 If a subdirectory sub is sticky, svscan starts a pair of supervise processes, one for sub, one for sub/log, with a pipe between them. svscan needs two free descriptors for each pipe.
