## daemontools-installer 0.76-9.2

=== debian/changelog ===
daemontools-installer (0.76-9.2) unstable; urgency=low

  * Non-maintainer upload to correct the former one
  * After thinking, the debconf note is undoubtfully abusive
    Move it to README.Debian and remove the debconf stuff

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Nov 2006 09:14:06 +0100

daemontools-installer (0.76-9.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Change the dependency on debconf to "debconf - debconf-2.0" to
    make the transition to cdebconf easier
    Closes: #331788
  * Switch to po-debconf for debconf templates. Closes: 237457
  * Remove extra whitespaces at the end of lines in debconf templates
  * Lintian fixes:
    - Use 4 as default debhelper compatibility
    - Move debhelper to Build-Depends
    - Fix invalid addresses in changelog
  * Debconf translations:
    - Add Swedish. Closes: #330795
    - Add Czech. Sent during the call for updates of the NMU campaign.
    - Add Vietnamese. Sent during the call for updates of the NMU campaign.
    - Add Portuguese. Closes: #396606
    - Add Norwegian Bokmål. Closes: #396768
    - Add Basque. Sent during the call for updates of the NMU campaign.
    - Add German. Sent during the call for updates of the NMU campaign.
    - Add Russian. Sent during the call for updates of the NMU campaign.
    - Add Romanian. Sent during the call for updates of the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Wed, 25 Oct 2006 07:44:51 +0200
