=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 configure: configure-stamp
 configure-stamp:
@@ -40,7 +37,6 @@
 	dh_installexamples
 	dh_installmanpages
 	dh_installchangelogs 
-	dh_installdebconf
 	dh_link
 	dh_strip
 	dh_compress
