=== rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	package/compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cp debian/control.real debian/control
	rm -f build-stamp
	rm -rf debian/daemontools/
	rm -f `cat TARGETS`
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/daemontools/package/admin/daemontools-0.76
	mkdir -p debian/daemontools/command
	mkdir -p debian/daemontools/usr/share/daemontools
	mkdir -p debian/daemontools/service
	cp -a command debian/daemontools/package/admin/daemontools-0.76
	cp -a compile debian/daemontools/package/admin/daemontools-0.76
	cp -a package debian/daemontools/package/admin/daemontools-0.76
	cp -a src debian/daemontools/package/admin/daemontools-0.76
	dh_link package/admin/daemontools-0.76/package usr/share/daemontools/package
	dh_link package/admin/daemontools-0.76 package/admin/daemontools
	dh_link package/admin/daemontools-0.76/command/envdir command/envdir
	dh_link package/admin/daemontools-0.76/command/envuidgid command/envuidgid
	dh_link package/admin/daemontools-0.76/command/fghack command/fghack
	dh_link package/admin/daemontools-0.76/command/multilog command/multilog
	dh_link package/admin/daemontools-0.76/command/pgrphack command/pgrphack
	dh_link package/admin/daemontools-0.76/command/readproctitle command/readproctitle
	dh_link package/admin/daemontools-0.76/command/setlock command/setlock
	dh_link package/admin/daemontools-0.76/command/setuidgid command/setuidgid
	dh_link package/admin/daemontools-0.76/command/softlimit command/softlimit
	dh_link package/admin/daemontools-0.76/command/supervise command/supervise
	dh_link package/admin/daemontools-0.76/command/svc command/svc
	dh_link package/admin/daemontools-0.76/command/svok command/svok
	dh_link package/admin/daemontools-0.76/command/svscan command/svscan
	dh_link package/admin/daemontools-0.76/command/svscanboot command/svscanboot
	dh_link package/admin/daemontools-0.76/command/svstat command/svstat
	dh_link package/admin/daemontools-0.76/command/tai64n command/tai64n
	dh_link package/admin/daemontools-0.76/command/tai64nlocal command/tai64nlocal
	mkdir -p debian/daemontools/usr/local/bin
	dh_link command/envdir usr/local/bin/envdir
	dh_link command/envuidgid usr/local/bin/envuidgid
	dh_link command/fghack usr/local/bin/fghack
	dh_link command/multilog usr/local/bin/multilog
	dh_link command/pgrphack usr/local/bin/pgrphack
	dh_link command/readproctitle usr/local/bin/readproctitle
	dh_link command/setlock usr/local/bin/setlock
	dh_link command/setuidgid usr/local/bin/setuidgid
	dh_link command/softlimit usr/local/bin/softlimit
	dh_link command/supervise usr/local/bin/supervise
	dh_link command/svc usr/local/bin/svc
	dh_link command/svok usr/local/bin/svok
	dh_link command/svscan usr/local/bin/svscan
	dh_link command/svscanboot usr/local/bin/svscanboot
	dh_link command/svstat usr/local/bin/svstat
	dh_link command/tai64n usr/local/bin/tai64n
	dh_link command/tai64nlocal usr/local/bin/tai64nlocal
	mkdir -p debian/daemontools/usr/bin
	dh_link command/envdir usr/bin/envdir
	dh_link command/envuidgid usr/bin/envuidgid
	dh_link command/fghack usr/bin/fghack
	dh_link command/multilog usr/bin/multilog
	dh_link command/pgrphack usr/bin/pgrphack
	dh_link command/readproctitle usr/bin/readproctitle
	dh_link command/setlock usr/bin/setlock
	dh_link command/setuidgid usr/bin/setuidgid
	dh_link command/softlimit usr/bin/softlimit
	dh_link command/supervise usr/bin/supervise
	dh_link command/svc usr/bin/svc
	dh_link command/svok usr/bin/svok
	dh_link command/svscan usr/bin/svscan
	dh_link command/svscanboot usr/bin/svscanboot
	dh_link command/svstat usr/bin/svstat
	dh_link command/tai64n usr/bin/tai64n
	dh_link command/tai64nlocal usr/bin/tai64nlocal

install-fhs: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p debian/daemontools/usr/bin
	mkdir -p debian/daemontools/usr/share/daemontools
	mkdir -p debian/daemontools/var/lib/svscan
	cp -a command/* debian/daemontools/usr/bin/
	cp -a package debian/daemontools/usr/share/daemontools
	cat command/svscanboot | sed -e "s|/service|/var/lib/svscan|g" -e "s|/command|/usr/bin|g" > debian/daemontools/usr/bin/svscanboot
	cat package/boot.inittab | sed "s|command|usr/bin|g" > debian/daemontools/usr/share/daemontools/package/boot.inittab

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs src/CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dpkg-deb -b debian/daemontools ..

binary-arch-fhs: build install-fhs
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs src/CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dpkg-deb -b debian/daemontools ..

binary: binary-arch

binary-fhs: binary-arch-fhs

.PHONY: build clean binary-indep binary-arch binary-arch-fhs binary binary-fhs install
